# Examples

pymwp analyzes programs written in C language.
The project repository `c_files` directory contains many examples.


### Program Categories

: :material-hand-wave-outline: **Basics**<br/>Programs performing operations that correspond to simple derivation trees.

: :material-infinity: **Infinite**<br/>Programs that are assigned matrices that always contain infinite coefficients, no matter the choices.

: :octicons-move-to-end-24: **Not Infinite**<br/>Programs that are assigned matrices that do not always contain infinite coefficients.

: :material-circle-outline: **Original Paper**<br/>Examples taken from or inspired by paper "A Flow Calculus of mwp-Bounds for Complexity Analysis".

: :material-asterisk: **Implementation Paper**<br/>Examples from paper "mwp-Analysis Improvement and Implementation: Realizing Implicit Computational Complexity".

: :material-dots-horizontal: **Other**<br/>Other programs of interest.

<style>.md-content .md-typeset dd {margin-left:0}</style>

<h3>Demo</h3>

Try the demo to analyze these programs online.

[Go to Demo](demo.md){ .md-button .md-button--primary }

{%
   include-markdown "../c_files/readme.md"
   heading-offset=1
   start="<!--start-->"
   end="<!--end-->"
%}
